#
# spec file for package wbg
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           wbg
Version:        1.1.0
Release:        2.2
Summary:        Wallpaper application for layer-shell Wayland compositors
License:        MIT
Group:          System/GUI/Other
URL:            https://codeberg.org/dnkl/wbg
Source0:        https://codeberg.org/dnkl/wbg/archive/%version.tar.gz
# Patch 1 based of https://codeberg.org/dnkl/wbg/commit/61af8e87661b93cfefe77c083328fef962c4121d.patch
Patch1:         0001-fix-mfd-noexec-seal.patch
# Patch 4 is based of https://codeberg.org/dnkl/wbg/commit/fee19f79bb41a9f90c25b3470ec2806be7293607.patch
Patch4:         0004-impl-layer-surface-closed-event.patch
# Patch 5 is based of https://codeberg.org/dnkl/wbg/commit/670d577ad0cd45a0c7bf4a264b791a2cd86557c3.patch
Patch5:         0005-mark-surface-as-opaque.patch
BuildRequires:  c_compiler
BuildRequires:  meson >= 0.58.0
BuildRequires:  pkgconfig
BuildRequires:  python3
BuildRequires:  pkgconfig(libjpeg)
BuildRequires:  pkgconfig(libpng)
BuildRequires:  pkgconfig(libwebp)
BuildRequires:  pkgconfig(pixman-1)
BuildRequires:  pkgconfig(tllist) >= 1.0.1
BuildRequires:  pkgconfig(wayland-client)
BuildRequires:  pkgconfig(wayland-protocols)
BuildRequires:  pkgconfig(wayland-server)

%description
Wbg is a wallpaper setter for Wayland compositors that implement the
layer-shell protocol.

It takes a single argument, the image filename, which is displayed
scaled-to-fit on all monitors.

%prep
%setup -n %name
%patch1 -p1
%patch4 -p1
%patch5 -p1

%build
export CFLAGS="%{optflags}"
%meson
%meson_build

%install
%meson_install

%files
%license LICENSE
%doc README.md
%{_bindir}/wbg

%changelog
* Tue Oct 24 2023 Soc Virnyl Estela <uncomfy+openbuildservice@uncomfyhalomacro.pl>
- Add patchsets
  * 0001-fix-mfd-noexec-seal.patch
  * 0004-impl-layer-surface-closed-event.patch
  * 0005-mark-surface-as-opaque.patch
* Wed Oct 26 2022 Soc Virnyl Estela <socvirnyl.estela@gmail.com>
- Update to version 1.1.0:
  - Added:
  * webp support
  - Fixed:
  * meson: can’t use `SOURCE_DIR` in `custom_targets()`.
  * build: version script is now run in a C locale.
  * Don’t re-render frame on same-size configure events
* Sun May 29 2022 Soc Virnyl Estela <socvirnyl.estela@gmail.com>
- use meson version >= 0.58.0 to abandon deprecated options
* Thu Mar  3 2022 Jan Engelhardt <jengelh@inai.de>
- Use released tarball with source URL
- Trim description of filler wording
* Wed Mar  2 2022 Soc Virnyl Estela <socvirnyl.estela@gmail.com>
- Initial spec (version 1.0.2)
